/**
 * @file ipc/Launcher.h
 * @author apio (cloudapio.eu)
 * @brief IPC message definitions for UI messages sent to the launch server.
 *
 * @copyright Copyright (c) 2024, the Luna authors.
 *
 */

#pragma once
#include <os/IPC.h>

namespace os
{
    namespace Launcher
    {
        enum ServerMessages : u8
        {
            IPC_ENUM_SERVER(launch),
            LAUNCH_DETACHED_ID,
        };

        struct LaunchDetachedRequest
        {
            static constexpr u8 ID = LAUNCH_DETACHED_ID;

            IPC_STRING(command);
        };
    }
}
